"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const file_1 = require("./../../utils/file");
const parser_1 = require("./../../parser");
exports.default = ({ context }) => {
    const source = file_1.readFile(context.absolutePathname);
    const vueParser = new parser_1.VueParser({ source, fileName: context.fileName });
    const docsBlock = vueParser.getCustomBlock('docs');
    context.existDocs = docsBlock !== null;
    const content = docsBlock !== null ? docsBlock.content : '';
    file_1.writeFile(context.catalogPathname, content);
    return {
        path: context.link,
        filePath: context.catalogPathname,
    };
};
