"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const file_1 = require("./../../utils/file");
const DIST_DIR = path_1.default.resolve(__dirname, '..', '..');
const BUILTINS_COMPONENTS_DIR = path_1.default.join(DIST_DIR, 'builtins', 'components');
const isIncludeVueFile = (dirPathname) => {
    return (file_1.getFilePathnamesWithFilter(dirPathname, {
        deep: false,
        include: ['**/*.vue', '*.vue'],
    }).length > 0);
};
exports.default = ({ dirContext, environment, }) => {
    const { rootDir, include, exclude } = dirContext;
    const dirPathnames = file_1.getDirPathnamesWithFilter(rootDir, {
        include,
        exclude,
    }).filter(isIncludeVueFile);
    // enviroment components
    const components = [];
    if (environment.nuxt) {
        const nuxtDir = path_1.default.join(BUILTINS_COMPONENTS_DIR, 'nuxt');
        components.push({
            name: 'nuxt-link',
            path: path_1.default.join(nuxtDir, 'nuxt-link.js'),
        });
        components.push({
            name: 'no-ssr',
            path: path_1.default.join(nuxtDir, 'no-ssr.js'),
        });
    }
    return [
        [
            '@vuepress/register-components',
            {
                componentsDir: dirPathnames,
                components,
            },
        ],
    ];
};
