"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const koa_mount_1 = __importDefault(require("koa-mount"));
const koa_static_1 = __importDefault(require("koa-static"));
const shared_utils_1 = require("@vuepress/shared-utils");
exports.default = ({ ctx, dirContext, }) => {
    if (dirContext.staticDir === null) {
        return {};
    }
    const { staticDir } = dirContext;
    return {
        enhanceDevServer(app) {
            const staticServer = koa_static_1.default(staticDir);
            function server(ctx, next) {
                return __awaiter(this, void 0, void 0, function* () {
                    if (ctx.url !== '/') {
                        yield staticServer(ctx, next);
                    }
                    else {
                        yield next();
                    }
                });
            }
            app.use(koa_mount_1.default(ctx.base, server));
        },
        generated() {
            return __awaiter(this, void 0, void 0, function* () {
                const indexFilePathname = path_1.default.join(staticDir, 'index.html');
                yield shared_utils_1.fs.copy(staticDir, path_1.default.resolve(ctx.outDir), {
                    filter(src) {
                        return src !== indexFilePathname;
                    },
                });
            });
        },
    };
};
