"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const vue_cli_1 = __importDefault(require("./vue-cli"));
const nuxt_1 = __importDefault(require("./nuxt"));
exports.default = ({ config, options, environment, dirContext, }) => {
    // Ignore docs blocks when building VuePress
    const loaderPath = path_1.default.resolve(__dirname, '..', '..', 'through-loader.js');
    config.module
        .rule('docs')
        .oneOf('docs')
        .resourceQuery(/blockType=docs/)
        .use('through-loader')
        .loader(require.resolve(loaderPath))
        .end();
    // sets alias
    const alias = options.alias || {};
    Object.entries(alias).forEach(([key, value]) => {
        config.resolve.alias.set(key, value);
    });
    // Setting for each environment
    if (environment.vueCLI) {
        vue_cli_1.default(config);
    }
    if (environment.nuxt) {
        nuxt_1.default({ config, options, dirContext });
    }
};
