"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const file_1 = require("./file");
exports.setDefaultOptions = (options) => {
    options.rootDir = options.rootDir || process.cwd();
    if (!options.rootDir) {
        return;
    }
    const { vueCli = {}, nuxt = {} } = options;
    options.vueCli = Object.assign({ configPath: path_1.default.join(options.rootDir, 'vue.config.js') }, vueCli);
    options.nuxt = Object.assign({ configPath: path_1.default.join(options.rootDir, 'nuxt.config.js') }, nuxt);
};
exports.scanProject = ({ vueCli = {}, nuxt = {}, }) => {
    return {
        vueCLI: file_1.existPathname(vueCli.configPath),
        nuxt: file_1.existPathname(nuxt.configPath),
    };
};
