"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pages_1 = require("./../build/pages");
const updateIndex = ({ dirContext, componentContextMap, }) => {
    pages_1.buildIndexPage({ dirContext, componentContextMap });
};
const updateDocsPage = ({ pathname, watchComponentMap, }) => {
    const context = watchComponentMap[`/${pathname}`];
    if (!context) {
        return { state: 'none' };
    }
    const beforeExistDocs = context.existDocs;
    pages_1.buildDocsPage({ context });
    const afterExistDocs = context.existDocs;
    let state = 'none';
    if (beforeExistDocs === false) {
        state = afterExistDocs ? 'create' : 'none';
    }
    else {
        state = afterExistDocs ? 'update' : 'remove';
    }
    return { state };
};
exports.default = ({ type, pathname, watchComponentMap, dirContext, componentContextMap, }) => {
    const { state } = updateDocsPage({
        pathname,
        watchComponentMap,
    });
    if (['create', 'remove'].includes(state)) {
        updateIndex({ dirContext, componentContextMap });
    }
};
