"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chokidar_1 = __importDefault(require("chokidar"));
const update_1 = __importDefault(require("./update"));
const buildWatchContextMap = ({ componentContextMap, }) => {
    const map = {};
    for (const componentContexts of componentContextMap.values()) {
        for (const context of componentContexts) {
            const key = context.relativePathname;
            map[key] = context;
        }
    }
    return map;
};
exports.default = ({ dirContext, componentContextMap, }) => {
    const componentWatcher = chokidar_1.default.watch(['**/*.vue'], {
        cwd: dirContext.rootDir,
        ignored: '**/node_modules/**',
        ignoreInitial: true,
    });
    const watchComponentMap = buildWatchContextMap({ componentContextMap });
    componentWatcher.on('change', (pathname) => {
        update_1.default({
            type: 'change',
            pathname,
            watchComponentMap,
            dirContext,
            componentContextMap,
        });
    });
};
